Welcome to HTTP Analyzer
Top Next

Introduction to the HTTP Analyzer

HTTP Analyzer is a utility that allows you to capture HTTP/HTTPS traffic in real-time. It displays a wide range of information, including Header, Content, Cookies, Query Strings, Post data, Request and Response Stream, redirection URLs and more. It also provides cache information and session clearing, as well as HTTP status code information and several filtering options. A useful developer tool for performance analysis, debugging and diagnostics.

HTTP Analyzer includes two Editions---Standard Edition and IE Edition.

HTTP Analyzer Standard Edition :Standard windows EXE application. It can capture any process's HTTP/HTTPS traffic in current user session.It has the ability to capture HTTP information in Windows applications without launching them from HTTP Analyzer. HTTPS is available if the application uses the Microsoft WININET API.

HTTP Analyzer for IE Edition(IE HTTP Analyzer) : An IE Add-in that integrates into the lower part of your IE browser window and can be opened/closed from the IE toolbar.It can only capture HTTP/HTTPS traffic of current IE process.

Launching IE HTTP Analyzer

Once you install the IE HTTP Analyzer, it can now be displayed as a pane in the lower part of the Internet Explorer window.
You can display or hide IE HTTP Analyzer by using the Internet Explorer tool bar button shown below:

Or by selecting it from the View menu:

In some cases, you might not see the IE HTTP Analyzer button. If you have customized the Toolbar for Internet Explorer, the IE HTTP Analyzer icon may not automatically appear in the toolbar when you restart Internet Explorer after installation is complete.
If this is the case, try the following steps:
Make sure the Standard Buttons are enabled in your browser by clicking on Views > Toolbars > Standard Buttons.
Next, click on View > Toolbars > Customize...

In the dialog box, scroll through the list of "Available toolbar buttons".
After you find the IE HTTP Analyzer button, click on it and then on the "Add ->" button.
Click "Close".
The IE HTTP Analyzer button should now appear among the Standard Buttons whenever you launch Internet Explorer.

If the IE HTTP Analyzer button still does not appear, reboot your computer.
Once you have IE HTTP Analyzer displayed in Internet Explorer press the Start button to capture HTTP/HTTPs traffic.


System Requirements
Top Previous Next

The minimum system requirements for HTTP Analyzer Standard Version are:

· Windows 9x: Windows98 or higher
· Windows NT: Windows2000 or higher

The minimum system requirements for HTTP Analyzer for IE Version are:

· Windows 9x: Windows98 or higher
· Windows NT: Windows2000 or higher

· Internet Explorer 5.0 or higher


Using the software

The brief tutorials give you introduction on the main features of HTTP Analyzer, which enable you to get started as soon as possible.

Getting Started

Using data filtering

Using data grouping

Runtime Column Selection


Getting started

Follow this step-by-step tutorial to learn about some basic HTTP Analyzer features:

1. HTTP Analyzer Standard Edition: Launch it as a standard windows application and open a new IE window
HTTP Analyzer for IE Edtion: click on the HTTP Analyzer icon in the Internet Explorer toolbar to open the HTTP Analyzer window (see launch HTTP Analyzer )
2. By default, the "start logging" [image] button is down, if not, click the "start logging" button to capture the HTTP traffic.

3. Enter "http://www.google.com" in the IE's address bar to navigate to it.

4. Now the HTTP Analyzer's session grid displays one or more entries. Notes: if you close the HTTP Analyzer band, it will stop logging requests.

5. Click on the first entry in the Session Grid and notice that the detailed information of individual HTTP session can be viewed in the Session View.

6. In the headers tab, right-click the request-header list and pop up a sensitive menu, then click "view raw data..." to show the raw request-header in a notepad editor. You can also apply the same operation to response-header list.

7. Click the content tab. Notice it shows the HTML source code in the editor tab with syntax color highlighting.

8. Click the content's browser tab to show the HTML presentation in the separated browser page.

9. Click the cookies tab to show the cookie sent and received.

10. Click the cache tab to show the "before request and after response" browser cache comparisons.(only IE Edition available)

11. Click the query string tab to show the unescaped parameter list of names and values .

12. Click the post data tab to show the post form values.

13. Click the Stream tab to show the HTTP request and response streams

14. Click the status code definition tab to show the instant help about http status code of the current session.

15. Click the "clear" [image] button to empty the session grid.

16. Click the "stop" [image] button to halt the logging.


Using data filtering

Apply the filter criteria to make some sessions invisible.

Notes: The display filter function doesn't prevent any HTTP requests from being logged. Those items which do not match with the display filter criteria will be made invisible. During run-time, flexible adjustment can be made to the filter criteria.

Follow this step-by-step tutorial to learn about the feature:

1. HTTP Analyzer Standard Edition: launch it as a standard windows application and open a new IE window
HTTP Analyzer for IE Edtion: click on the HTTP Analyzer icon in the Internet Explorer toolbar to open the HTTP Analyzer window (see launch HTTP Analyzer )
2. By default, the "start logging" [image] button is down, if not, click the "start logging" button to capture the HTTP traffic.

3. Enter "http://www.ebay.com" in the address bar to navigate to it.

4. Click the "Type" column's drop-down filter list and customize the column-based filter criteria by clicking the "text/html" as follows:

Notice that now the session grid only shows http sessions whose mime type are "text/HTML". Others are made invisible.

5. Another shortcut to apply the filter is to use the preconfig filter criteria by clicking the "filter" [image] button and choose a criteria.

6.You can create new filter criteria by using the "filter builder". Click "customize current filter" to launch the "filter builder", as follows:

Customize your filter criteria and "save as...".
Notes: Use "_" to represent any single character.
Use "%" to represent any series of characters

An alternative method to customize the filter criteria is to use the column filter builder, as follows:


Using data grouping

Automatic Data grouping-an extremely powerful data viewing and manipulation metaphor

Follow this step-by-step tutorial to learn about the feature:

1. HTTP Analyzer Standard Edition: launch it as a standard windows application and open a new IE window.
HTTP Analyzer for IE Edtion: click on the HTTP Analyzer icon in the Internet Explorer toolbar to open the HTTP Analyzer window (see launch HTTP Analyzer )
2. By default, the "start logging" [image] button is down, if not, click the "start logging" button to capture the HTTP traffic.

3. Enter "http://www.ebay.com" in the address bar to navigate to it.

4. Right-click the "Type" column header of the session grid to pop up the sensitive menu, as follows:

5.Click the "Group by This Field" to group the HTTP sessions by "type", as follows:

6. Some summary information,e.g. SUM, COUNT, MAX, MIN, AVG, can be viewed by using the "Footer" and "Group Footers" pop up menu item .


Runtime Column Selection

Automatic Runtime Column Selection - easily customize the columns visible on-screen with intuitive drag and drop.

Follow this step-by-step tutorial to learn about the feature:

1. HTTP Analyzer Standard Edition: launch it as a standard windows applicatin and open a new IE window.
HTTP Analyzer for IE Edtion: click on the HTTP Analyzer icon in the Internet Explorer toolbar to open the HTTP Analyzer window (see launch HTTP Analyzer )
2. By default, the "start logging" [image] button is down, if not, click the "start logging" button to capture the HTTP traffic.

3. Right-click the column header of the session grid to pop up the sensitive menu, as follows:

4.Click the Field chooser to customize the columns, drag and drop the "TimeEnd" column, as follows:

5.Enter "http://www.google.com" in the IE address bar to navigate to it.Notice that the TimeEnd column will show the time at which the request was completed.


User Interface

The main window is shown below. This is the first screen you see when the program starts. Click on the following screenshot to have more information.

A session is defined as a request and response pair. Request message shows in the left pane and response message show in the right pane.

Selecting an item in the session grid causes the lower part of the HTTP Analyzer window to display detailed information about that item. The size of this region can be adjust by dragging the splitter that separates it from the session grid and you can maximize the session view by clicking the Hot Zone of the splitter. For more information see Session View.


Toolbar

Here is a summary of the functions of each toolbar button:

Icon&Image | Caption | Description
 | Start | Start logging HTTP and HTTPS traffic
 | Stop | Stop logging HTTP and HTTPS traffic
 | Load Log... | Stop logging and Load log from XML files
 | Save Log as... | Stop logging and Save log to XML files
 | Clear | Clear the contents of the log and all the records of the session grid
 | Clear Cache | Unlike IE's clear tool, which clears all caches indiscriminately, while HTTP Analyzer's can selectively clear caches which are related with current HTTP/HTTPS sessions. Clear All Sessions' Cache: Clear cache files of all logged HTTP/HTTPS sessions. Clear Selected Sessions' Cache:Clear cache files of selected logged HTTP/HTTPS sessions. Note:Available if the application uses the Microsoft WININET API
 | Clear Cookie | Selectively clear cookies which are related with current HTTP/HTTPS sessions. Clear All Sessions' Cookie: Clear persistent and memory cookies of all logged HTTP/HTTPS sessions. Clear selected Sessions' cookie: Clear persistent cookies of selected logged HTTP/HTTPS sessions, but the memory cookie will not be cleared. Note: Available if the application uses the Microsoft WININET API
 | Filter | Apply the filter criteria to make some sessions invisible. Notes: The display filter function doesn't prevent any HTTP requests from being logged. Those items which do not match with the display filter criteria will be made invisible. During run-time, flexible adjustment can be made to the filter criteria. see also: using data filtering
 | About/Register | IE HTTP Analyzer's version information and ordering information.
 | Help | Open this help document.


Session Grid

The session grid shows a list of captured HTTP/HTTPS sessions. The detail information of currently selected session is displayed in the session view.

Right-click the column header can pop up the grid's sensitive menu to populate the grid
Right-click the entry of the grid can pop up the entry's sensitive menu to populate the entry.

The information is organized as a grid with the following columns, :

Column Name
Visible(by default)
Description
TimeStart
True
The time at which the request was started.
Duration
True
The duration time between TimeStart and TimeEnd.
Method
True
The HTTP method that was used when the request was sent. (for example, GET)
Result
True
If the request was successful then the HTTP status code will be shown here, e.g. 200 for OK. If the request failed then the wininer API's error code will be shown here. In cases where the content was read from the cache without contacting the HTTP server, '(Cache)' will be shown here.

The value 'Aborted' in this column indicates that Internet Explorer cancelled the HTTP operation before it completed.
Proccess
True
The name and ID of the process where the HTTP session comes from.
Note: It's hidden in IE Edition.
Size (win2k)
True
The response stream's size. Note: It's hidden in win9x.
Content-Length(win9x)
True
The response content's length. (see also :RFC2616 Content-Length )
Note: It's hidden in win2k or plus.
Type
True
The response content's mime type.(see also: RFC2616 Content-Type )
URL
True
The requested file's URL which is indicated by the HTTP requesting command. The URL usually include a path and a file name.
Redirect URL
True
The target URL for HTTP redirects
TimeEnd
False
The time at which the request was completed.
Stage
False
The current stage of the HTTP session, it includes the following possible value:

REQUEST_OPEN
REQUEST_SEND
REQUEST_SENT
REQUEST_COMPLETE
REQUEST_CLOSE
REQUEST_REDIRECT
Note: It's hidden in Standard Edition.

Notes: Some columns are invisible by default, you can customize these columns by using run-time column selection.

The HTTP session record is colored according to its result status:

HTTP Status code is 2XX or 3XX, a successful HTTP request.
Result is '(cache)'. In cases where the content was read from the cache without contacting the HTTP server.
A HTTP response containing a HTTP error code(for example, 404)
No response headers received because request failed (for example: ERROR_INTERNET_NAME_NOT_RESOLVED)


Session View

When you selected an item in the session grid, the detailed information will be displayed in the lower part of the HTTP Analyzer window.

The following tabs are available:

Headers
Content
Cookies
Cache
Query String
POST Data
Stream
Status Code Definition

See Also:

Session Grid


Headers

This tab shows the HTTP header fields, with the request headers shown in left and the response headers in right. The size of the two lists can be adjusted by dragging the splitter that separates them.

Request Headers
The request headers are shown in the left list. The entry named (Request-Line) is the first line of text delimited by a linefeed as parsed from the HTTP request headers and contains the HTTP method, HTTP version and URL sub path, for example:

GET /httpanalyzer/index.htm HTTP/1.1

Response Headers
The right hand list shows the headers that were received in the HTTP response. The entry named (Status-Line) is the first line of text delimited by a linefeed as parsed from the HTTP response headers and contains the HTTP status code, version and description, for example:

HTTP/1.1 200 OK

See also:
RFC-2616 Request-header fields
RFC-2616 Response-header fields


Content

This tab displays the content that was received in the HTTP response.

Content Description
The text shows the mime type, the total size in bytes and whether the content was downloaded from the web server or read from the browser cache. If HTTP compression was used, then the description includes the compression type, the compressed sized and the savings achieved.

Content Display
Displays the content and automatically switches between graphics and text. when the content is HTML file, it will show the rendered webpage in the browser tab.


Cookies

This tab shows the cookies that were used by the sessions with the request headers shown in left and the response headers in right.

The columns displayed are:

Cookie Name
The unescaped name of the cookie.

Value
This shows the unescaped value of the cookie.

Path(received cookies only)
The path attribute is used to specify the subset of URLs in a domain for which the cookie is valid. If a cookie has already passed domain matching, then the pathname component of the URL is compared with the path attribute, and if there is a match, the cookie is considered valid and is sent along with the URL request. The path "/foo" would match "/foobar" and "/foo/bar.html". The path "/" is the most general path.
If the path is not specified, it as assumed to be the same path as the document being described by the header which contains the cookie.

Domain(received cookies only)
When searching the cookie list for valid cookies, a comparison of the domain attributes of the cookie is made with the Internet domain name of the host from which the URL will be fetched. If there is a tail match, then the cookie will go through path matching to see if it should be sent. "Tail matching" means that domain attribute is matched against the tail of the fully qualified domain name of the host. A domain attribute of "acme.com" would match host names "anvil.acme.com" as well as "shipping.crate.acme.com".
Only hosts within the specified domain can set a cookie for a domain and domains must have at least two (2) or three (3) periods in them to prevent domains of the form: ".com", ".edu", and "va.us". Any domain that fails within one of the seven special top level domains listed below only require two periods. Any other domain requires at least three. The seven special top level domains are: "COM", "EDU", "NET", "ORG", "GOV", "MIL", and "INT".

The default value of domain is the host name of the server which generated the cookie response.

Expires (received cookies only)
The expires attribute specifies a date string that defines the valid life time of that cookie. Once the expiration date has been reached, the cookie will no longer be stored or given out.
The date string is formatted as: Wdy, DD-Mon-YYYY HH:MM:SS GMT

See also:
Reference Cookies


Cache

Cache (available only in IE Edition)
Top Previous Next

This tab shows "Before request and after response" browser cache comparisons. The following data items are displayed:

URL in cache?
This indicates whether the currently selected item has an entry in the browser cache.

EntryType
Cache type bitmask. Currently, the cache entry type value of resources from the Internet is equal to zero. For History and Cookie entries, the cache entry type is a combination of two values. One value determines how the cache entry is handled; the second value indicates what is being cached.

UseCount
Current user count of the cache entry

SourceUrlName
Contains the URL name

LocalFileName
Contains the local file name

LastSyncTime
Contains the last time the cache was synchronized

LastModifiedTime
Contains the last modified time of this URL.

LastAccessTime
Contains the last accessed time, in Greenwich mean time format

HitRate
Number of times the cache entry was retrieved

HeaderInfo
Contains the header information

FileSize
The size of the local cache file

ExpireTime
Contains the expiration time of this file

FileExtension
Contains the file extension used to retrieve the data as a file

ExemptDelta
Exemption time from the last accessed time, in seconds


Query String

URLs that have query string are usually identified by an URL followed by a '?'question mark with the encoding format:
'http://www.host.com/mypage.html?name1=value1&name2=value2&...'

The tab displays a scrollable list of the unescaped names and values from the currently selected URL. Right-click to pop up the sensitive menu and execute "view raw data..." to show the encoding format.


Post Data

This tab displays the parameters contained in the POST, the mime type used to encode them and the size of POST data.

Most POST requests use one of the following mime types:

application/x-www-form-urlencoded

The parameter includes names, values. A form data set is represented in this media type as follows:

1. The form field names and values are escaped: space characters are replaced by `+', and then reserved characters are escaped as per [URL]; that is, non-alphanumeric characters are replaced by `%HH', a percent sign and two hexadecimal digits representing the ASCII code of the character. Line breaks, as in multi-line text field values, are represented as CR LF pairs, i.e. `%0D%0A'.
2. The fields are listed in the order they appear in the document with the name separated from the value by `=' and the pairs separated from each other by `&'. Fields with null values may be omitted. In particular, unselected radio buttons and checkboxes should not appear in the encoded data, but hidden fields with VALUE attributes present should. The parameter includes names and values. This is the same format as a query string, but the string is passed in the request body rather than the URL.

multipart/form-data

The parameter includes names, values, filename and attributes. This passes the raw, unescaped data the POST body by using a marker to define the data boundaries, see more [www.faqs.org/rfcs/rfc2388.html].


Stream

The stream tab shows the data streams that were sent to and received from the web server. The left hand side of the tab the shows the contents of the the request stream and the right hand side shows the response stream. The size of the two lists can be adjusted by dragging the splitter that separates them.


Status Code Definition

If the selected session's request was successful then the HTTP status code definition will be shown here.

See also:
RFC2616 Status Code Definitions


Ordering Information

You can purchase an HTTP Analyzer license from:
http://www.ieinspector.com/httpanalyzer/order.html

After purchasing an HTTP Analyzer license you will be sent a license key that will allow HTTP Analyzer to be used without 30 days limitation.

See Also:
Introduction


Contact Infomation
Top Previous

Technical support:
support@ieinspector.com

Pricing and Sales Information:
sales@ieinspector.com

Homepage
http://www.ieinspector.com

Product Page
http://www.ieinspector.com/httpanalyzer


.topic 131179
Introduction to the HTTP Analyzer

HTTP Analyzer is a utility that allows you to capture HTTP/HTTPS traffic in real-time. It displays a wide range of information, including Header, Content, Cookies, Query Strings, Post data, Request and Response Stream, redirection URLs and more. It also provides cache information and session clearing, as well as HTTP status code information and several filtering options. A useful developer tool for performance analysis, debugging and diagnostics.

HTTP Analyzer includes two Editions---Standard Edition and IE Edition.

HTTP Analyzer Standard Edition :Standard windows EXE application. It can capture any process's HTTP/HTTPS traffic in current user session.It has the ability to capture  HTTP information in Windows applications without launching them from HTTP Analyzer.  HTTPS is available if the application uses the Microsoft WININET API.

HTTP Analyzer for IE Edition(IE HTTP Analyzer) : An IE Add-in that integrates into the lower part of your IE browser window and can be opened/closed from the IE toolbar.It can only capture HTTP/HTTPS traffic of current IE process.

Launching IE HTTP Analyzer

Once you install the IE HTTP Analyzer, it can now be displayed as a pane in the lower part of the Internet Explorer window.
You can display or hide IE HTTP Analyzer by using the Internet Explorer tool bar button shown below:

Or by selecting it from the View menu:

In some cases, you might not see the IE HTTP Analyzer button. If you have customized the Toolbar for Internet Explorer, the IE HTTP Analyzer icon may not automatically appear in the toolbar when you restart Internet Explorer after installation is complete.
If this is the case, try the following steps:
Make sure the Standard Buttons are enabled in your browser by clicking on Views > Toolbars > Standard Buttons.
Next, click on View > Toolbars > Customize...

In the dialog box, scroll through the list of "Available toolbar buttons".
After you find the IE HTTP Analyzer button, click on it and then on the "Add ->" button.
Click "Close".
The IE HTTP Analyzer button should now appear among the Standard Buttons whenever you launch Internet Explorer.

If the IE HTTP Analyzer button still does not appear, reboot your computer.
Once you have IE HTTP Analyzer displayed in Internet Explorer press the Start button to capture HTTP/HTTPs traffic.

.topic 131178
You can purchase an HTTP Analyzer license from:
http://www.ieinspector.com/httpanalyzer/order.html

After purchasing an HTTP Analyzer license you will be sent a license key that will  allow HTTP Analyzer to be used without 30 days limitation.

See Also:
Introduction